## mycompiler.myoperator
Class MulOp

    java.lang.Object
      mycompiler.myoperator.Operator
          mycompiler.myoperator.MulOp

Direct Known Subclasses:
  DivideOp, ModuloOp, TimesOp

    public abstract class MulOp

extends Operator

Constructor Summary
`MulOp()`

Method Summary
`CTripleSet` `TRExp(Binary binary, CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)` Implementierung der Algorithmen 5.46, 5.47 und 5.48 von Martin Pl�micke Achtung Workaround: Wenn die BaseTypes endlich korrekt implementiert sind, dann sollte der RefType "Integer" �berall durch den BaseType "IntegerType" ersetzt werden!!!

Methods inherited from class mycompiler.myoperator.Operator
`codegen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MulOp

    public MulOp()

Method Detail

### TRExp

    public CTripleSet TRExp(Binary binary,
                            CSubstitutionSet sigma,
                            CTypeAssumptionSet V,
                            CSupportData supportData)

  Implementierung der Algorithmen 5.46, 5.47 und 5.48 von Martin Pl�micke
  Achtung Workaround: Wenn die BaseTypes endlich korrekt implementiert sind, dann sollte der RefType "Integer" �berall durch den BaseType "IntegerType" ersetzt werden!!!
  Author: J�rg B�uerle

  Specified by:
    `TRExp` in class `Operator`
  Parameters:
    `binary` -
    `sigma` -
    `V` -
    `supportData` -
  Returns: